Package org.drinkless.tdlib

# Class TdApi.SetChatMessageAutoDeleteTime

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatMessageAutoDeleteTime

Enclosing class:
  `TdApi`

public static class TdApi.SetChatMessageAutoDeleteTime extends TdApi.Function<TdApi.Ok>
Changes the message auto-delete or self-destruct (for secret chats) time in a chat. Requires changeInfo administrator right in basic groups, supergroups and channels. Message auto-delete time can't be changed in a chat with the current user (Saved Messages) and the chat 777000 (Telegram).

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `messageAutoDeleteTime`
  New time value, in seconds; unless the chat is secret, it must be from 0 up to 365 * 86400 and be divisible by 86400.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatMessageAutoDeleteTime()`
  Default constructor for a function, which changes the message auto-delete or self-destruct (for secret chats) time in a chat.
  `SetChatMessageAutoDeleteTime(long chatId, int messageAutoDeleteTime)`
  Creates a function, which changes the message auto-delete or self-destruct (for secret chats) time in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageAutoDeleteTime

    public int messageAutoDeleteTime
    New time value, in seconds; unless the chat is secret, it must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatMessageAutoDeleteTime

    public SetChatMessageAutoDeleteTime()
    Default constructor for a function, which changes the message auto-delete or self-destruct (for secret chats) time in a chat. Requires changeInfo administrator right in basic groups, supergroups and channels. Message auto-delete time can't be changed in a chat with the current user (Saved Messages) and the chat 777000 (Telegram).

    Returns `Ok`

  - ### SetChatMessageAutoDeleteTime

    public SetChatMessageAutoDeleteTime(long chatId, int messageAutoDeleteTime)
    Creates a function, which changes the message auto-delete or self-destruct (for secret chats) time in a chat. Requires changeInfo administrator right in basic groups, supergroups and channels. Message auto-delete time can't be changed in a chat with the current user (Saved Messages) and the chat 777000 (Telegram).

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `messageAutoDeleteTime` - New time value, in seconds; unless the chat is secret, it must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR